diff -rduN hybserv/Makefile.in hybserv+bg-support/Makefile.in
--- hybserv/Makefile.in	2002-10-07 08:34:44.000000000 -0200
+++ hybserv+bg-support/Makefile.in	2002-11-18 22:00:18.000000000 -0200
@@ -15,6 +15,10 @@
 # (should match HelpPath in settings.conf)
 HELPDIR = $(PREFIX)/hybserv/help
 
+# Set this to the directory to install bg help files 
+# (should match HelpPath in settings.conf)
+HELPDIRBG = $(PREFIX)/hybserv/help.bg
+
 # Set this to the user who will own BINDIR
 WHOAMI = @WHOAMI@
 
@@ -164,6 +168,18 @@
 	@$(CPR) help/* $(HELPDIR)
 	@echo Changing ownership of $(HELPDIR) to $(WHOAMI)
 	@$(CHOWN) $(WHOAMI) $(HELPDIR)
+	@if test ! -d $(HELPDIRBG); then \
+		echo Creating $(HELPDIRBG); \
+		mkdir $(HELPDIRBG) 2>/dev/null; \
+	else \
+		echo Removing old $(HELPDIRBG); \
+		$(RMR) $(HELPDIRBG); \
+		mkdir $(HELPDIRBG) 2>/dev/null; \
+	fi
+	@echo Installing bg help files in $(HELPDIRBG)
+	@$(CPR) help.bg/* $(HELPDIRBG)
+	@echo Changing ownership of $(HELPDIRBG) to $(WHOAMI)
+	@$(CHOWN) $(WHOAMI) $(HELPDIRBG)
 	@echo
 
 autoconf:
diff -rduN hybserv/bin/settings.conf.in hybserv+bg-support/bin/settings.conf.in
--- hybserv/bin/settings.conf.in	2002-09-16 16:43:56.000000000 -0200
+++ hybserv+bg-support/bin/settings.conf.in	2002-11-18 22:00:18.000000000 -0200
@@ -64,6 +64,7 @@
 # LogFile     - Log file
 # PidFile     - Pid file
 # HelpPath    - Directory in which to locate help files
+# HelpPathBG  - Directory in which to locate bg help files
 # DccMotdFile - Message of the Day file for telnet/dcc clients
 # MotdFile    - Global Motd file (when client does /motd services.us)
 #
@@ -86,6 +87,7 @@
 PidFile            "hybserv.pid"
 PipeFile           "hybserv.pipe"
 HelpPath           "help"
+HelpPath           "help.bg"
 DccMotdFile        "motd.dcc"
 MotdFile           "motd.global"
 
diff -rduN hybserv/help.bg/chanserv/access/add hybserv+bg-support/help.bg/chanserv/access/add
--- hybserv/help.bg/chanserv/access/add	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/access/add	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,9 @@
+: %bACCESS <> ADD <|> <>%b
+
+%bACCESS ADD%b     
+    ,   ,
+  .       
+,        
+   .
+: %b/msg %C LEVEL <> LIST%b,
+        .
diff -rduN hybserv/help.bg/chanserv/access/del hybserv+bg-support/help.bg/chanserv/access/del
--- hybserv/help.bg/chanserv/access/del	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/access/del	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bACCESS <> DEL < | >%b
+
+%bACCESS DEL%b    ,
+   %b<>%b    ,
+    .     
+,      .
+     
+%bACCESS LIST%b (%b/msg %C HELP ACCESS LIST%b).
diff -rduN hybserv/help.bg/chanserv/access/index hybserv+bg-support/help.bg/chanserv/access/index
--- hybserv/help.bg/chanserv/access/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/access/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,17 @@
+: %bACCESS <> ADD <> <>%b
+           %bACCESS <> DEL < | >%b
+           %bACCESS <> LIST []
+
+   ,    
+%b<>%b. ,    
+ ,        %C,
+      
+(%b/msg %C HELP LEVEL%b    
+  ). ,     ,
+    0.   :
+%b/msg %C HELP ACCESS {ADD|DEL|LIST}%b  
+   .
+%+a%b* * * *%b
+%+a     
+%+a,     , 
+%+a  .
diff -rduN hybserv/help.bg/chanserv/access/list hybserv+bg-support/help.bg/chanserv/access/list
--- hybserv/help.bg/chanserv/access/list	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/access/list	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bACCESS <> LIST []%b
+
+%bACCESS LIST%b     
+,     <>.
+   ,  ,
+      .
diff -rduN hybserv/help.bg/chanserv/akick/add hybserv+bg-support/help.bg/chanserv/akick/add
--- hybserv/help.bg/chanserv/akick/add	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/akick/add	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bAKICK <> ADD <> []%b
+
+ <>  akick   <>  
+[].       
+,   -     .
diff -rduN hybserv/help.bg/chanserv/akick/del hybserv+bg-support/help.bg/chanserv/akick/del
--- hybserv/help.bg/chanserv/akick/del	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/akick/del	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bAKICK <> DEL < | >%b
+
+%bAKICK DEL%b    
+  %b<>%b  autokick .  
+   ,    .
+       
+%bAKICK LIST%b.
+(%b/msg %C HELP AKICK LIST%b)
diff -rduN hybserv/help.bg/chanserv/akick/index hybserv+bg-support/help.bg/chanserv/akick/index
--- hybserv/help.bg/chanserv/akick/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/akick/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,12 @@
+: %bAKICK <> ADD <> []%b
+        %bAKICK <> DEL < | >%b
+        %bAKICK <> LIST []
+
+ autokick   %b<>%b.
+          
+, %C  ban/kick .
+%b/msg %C HELP AKICK {ADD|DEL|LIST}%b   
+   .
+%+a%b* * * *%b
+%+a    autokick  
+%+a   .
diff -rduN hybserv/help.bg/chanserv/akick/list hybserv+bg-support/help.bg/chanserv/akick/list
--- hybserv/help.bg/chanserv/akick/list	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/akick/list	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bAKICK <> LIST []%b
+
+%bAKICK LIST%b     autokick
+   .    ,
+       .
diff -rduN hybserv/help.bg/chanserv/clear hybserv+bg-support/help.bg/chanserv/clear
--- hybserv/help.bg/chanserv/clear	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/clear	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,15 @@
+: %bCLEAR <> <>%b
+
+%C        <>.
+
+%b:%b
+
+     %bOPS%b       -       
+     %bHALFOP%b    -  halfops,  IRC    
+     %bVOICES%b    -  Devoices every voiced user
+     %bMODES%b     -     
+     %bBANS%b      -    
+     %bGECOSBANS%b -    
+     %bUSERS%b     -     
+     %bALL%b       -   %bOPS%b, %bVOICES%b, %bMODES%b,
+              	      %bBANS%b (  )
diff -rduN hybserv/help.bg/chanserv/clearnoexp hybserv+bg-support/help.bg/chanserv/clearnoexp
--- hybserv/help.bg/chanserv/clearnoexp	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/clearnoexp	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bCLEARNOEXP%b
+
+ NOEXPIRE    ,  , 
+     .  
+ no-expire    .
diff -rduN hybserv/help.bg/chanserv/cycle hybserv+bg-support/help.bg/chanserv/cycle
--- hybserv/help.bg/chanserv/cycle	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/cycle	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bCYCLE <>%b
+
+  <>   , ,  .
+
diff -rduN hybserv/help.bg/chanserv/drop hybserv+bg-support/help.bg/chanserv/drop
--- hybserv/help.bg/chanserv/drop	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/drop	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,9 @@
+: %bDROP <> []%b
+
+   %b<>%b.  
+    %bDROP%b .  ,  
+  %bIDENTIFY%b     , 
+   .
+%+a%b* * * *%b
+%+a      
+%+a   %bDROP <channel>%b.
diff -rduN hybserv/help.bg/chanserv/forbid hybserv+bg-support/help.bg/chanserv/forbid
--- hybserv/help.bg/chanserv/forbid	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/forbid	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bFORBID <>%b
+
+    ,     
+  (     ,    (kickban).
+        
+%bDROP%b . (%b/msg %C HELP DROP%b)
diff -rduN hybserv/help.bg/chanserv/forget hybserv+bg-support/help.bg/chanserv/forget
--- hybserv/help.bg/chanserv/forget	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/forget	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bFORGET <>%b
+
+     %C  ''  
+ <>.
+   ''. %C      
+,       ,     
+   %C.
diff -rduN hybserv/help.bg/chanserv/halfop hybserv+bg-support/help.bg/chanserv/halfop
--- hybserv/help.bg/chanserv/halfop	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/halfop	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bHALFOP < | ALL> []%b
+
+ halfop   [].    
+, %C   halfop   , 
+ .  %b-%b   
+ halfop  .     
+OP.
diff -rduN hybserv/help.bg/chanserv/identify hybserv+bg-support/help.bg/chanserv/identify
--- hybserv/help.bg/chanserv/identify	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/identify	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bIDENTIFY <> <>%b
+
+     %b<>%b. 
+%C     %bIDENTIFY%b    
+.
diff -rduN hybserv/help.bg/chanserv/index hybserv+bg-support/help.bg/chanserv/index
--- hybserv/help.bg/chanserv/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,37 @@
+%b%C%b       
+  . %C     
+   "taking over"    
+     .  
+         ,
+   .   %b%C%b  
+  .      ,
+ %b/msg %C help <>%b.
+
+    REGISTER    
+    DROP          
+    IDENTIFY       
+    SET            
+    ACCESS         
+    AKICK       AutoKick 
+    LEVEL             
+    LIST              
+    INFO          
+    INVITE        
+    OP              
+    HALFOP       HalfOp   
+    VOICE           
+    UNBAN          
+    CLEAR          
+    MODES          
+    CYCLE           
+%+a%b* * * *
+%+a  :
+%+a%b%b
+%+a    FORBID           
+%+a    SETPASS          
+%+a    STATUS          
+%+a    FORGET          
+%+a    NOEXPIRE          
+%+a    CLEARNOEXP    noexpire   
+%+a    RESETLEVELS         
+
diff -rduN hybserv/help.bg/chanserv/info hybserv+bg-support/help.bg/chanserv/info
--- hybserv/help.bg/chanserv/info	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/info	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bINFO <>%b
+
+   <>,  ,
+  , ,    
+%C,   .
diff -rduN hybserv/help.bg/chanserv/invite hybserv+bg-support/help.bg/chanserv/invite
--- hybserv/help.bg/chanserv/invite	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/invite	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bINVITE <>%b
+
+   <>.   %bSET MLOCK%b
+   +i   .
+:
+        %b/msg %C INVITE #channel%b
+          %C     #channel.
diff -rduN hybserv/help.bg/chanserv/level/index hybserv+bg-support/help.bg/chanserv/level/index
--- hybserv/help.bg/chanserv/level/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/level/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,12 @@
+: %bLEVEL <> SET <|> <>%b
+           %bLEVEL <> RESET <||ALL>%b
+           %bLEVEL <> LIST%b
+
+   ,     
+  .      
+          
+    .  -    
+: %b/msg %C HELP LEVEL {SET|RESET|LIST}%b
+%+a%b* * * *%b
+%+a   / 
+%+a      .
diff -rduN hybserv/help.bg/chanserv/level/list hybserv+bg-support/help.bg/chanserv/level/list
--- hybserv/help.bg/chanserv/level/list	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/level/list	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bLEVEL <> LIST%b
+
+%bLEVEL LIST%b    ,
+   /   
+%bLEVEL SET%b  %bLEVEL RESET%b.
diff -rduN hybserv/help.bg/chanserv/level/reset hybserv+bg-support/help.bg/chanserv/level/reset
--- hybserv/help.bg/chanserv/level/reset	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/level/reset	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,15 @@
+: %bLEVEL <> RESET <||ALL>%b
+
+%bLEVEL RESET%b      
+    services.    
+ /,     
+ : %b/msg %C LEVEL <> LIST%b.
+
+:
+         %b/msg %C LEVEL #chan RESET autovoice%b
+                +v (autovoice)
+            #chan     (5)
+
+         %b/msg %C LEVEL #chan RESET all%b
+               #chan  
+            .
diff -rduN hybserv/help.bg/chanserv/level/set hybserv+bg-support/help.bg/chanserv/level/set
--- hybserv/help.bg/chanserv/level/set	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/level/set	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,14 @@
+: %bLEVEL <> SET <|> < >%b
+
+%bLEVEL SET%b      
+    .   
+     (..  
+  ),       
+      .    
+ /,      ,
+: %b/msg %C LEVEL <> LIST%b
+
+Example:
+          %b/msg %C LEVEL #chan SET autoop 20%b
+                  
+            (autoop)  #chan  20
diff -rduN hybserv/help.bg/chanserv/list hybserv+bg-support/help.bg/chanserv/list
--- hybserv/help.bg/chanserv/list	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/list	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bLIST <>%b
+
+       
+%b<>%b.    %bSET PRIVATE%b ON,
+   .
+
+: %bLIST #*bleh*%b
+                %bbleh%b
diff -rduN hybserv/help.bg/chanserv/modes hybserv+bg-support/help.bg/chanserv/modes
--- hybserv/help.bg/chanserv/modes	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/modes	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bMODES <>%b
+
+        
+ <>.
+
diff -rduN hybserv/help.bg/chanserv/noexpire hybserv+bg-support/help.bg/chanserv/noexpire
--- hybserv/help.bg/chanserv/noexpire	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/noexpire	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bNOEXPIRE <> {ON|OFF}%b
+
+ NOEXPIRE    , 
+      .  ,
+       
+%bDROP%b,    %bNOEXPIRE%b.
diff -rduN hybserv/help.bg/chanserv/op hybserv+bg-support/help.bg/chanserv/op
--- hybserv/help.bg/chanserv/op	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/op	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,20 @@
+: %bOP < | ALL> []%b
+
+    [].    
+, %C      
+  .  %b-%b  
+    .  SECUREOPS  ON, 
+%C        
+   AutoOp   .
+:
+         %b/msg %C OP #channel%b
+               #channel   
+	    .
+
+         %b/msg %C OP #channel nick1 -nick2 nick3%b
+               nick1  nick3,   
+            nick2.
+
+         %b/msg %C OP ALL%b
+                   
+          ,      CMDOP.
diff -rduN hybserv/help.bg/chanserv/register hybserv+bg-support/help.bg/chanserv/register
--- hybserv/help.bg/chanserv/register	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/register	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,19 @@
+: %bREGISTER <> <>%b
+
+ <>     %C. %b<>%b
+          
+     .   
+       .
+   ,   
+      %bACCESS%b  
+ SuperOp.       
+       %bACCESS%b 
+(%b/msg %C%b %bHELP ACCESS%b)
+
+   ,    
+   %N (%b/msg %N HELP REGISTER%b).
+      
+  %bDROP%b,     %bDROP%b.  ,
+   %bACCESS%b       
+-   ,    
+.
diff -rduN hybserv/help.bg/chanserv/resetlevels hybserv+bg-support/help.bg/chanserv/resetlevels
--- hybserv/help.bg/chanserv/resetlevels	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/resetlevels	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bRESETLEVELS%b
+
+       
+     .
+
diff -rduN hybserv/help.bg/chanserv/set/email hybserv+bg-support/help.bg/chanserv/set/email
--- hybserv/help.bg/chanserv/set/email	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/email	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,15 @@
+: %bSET <> EMAIL <   |->%b
+
+       <>
+<   >.  
+  %bINFO%b  ,   
+       .
+   ,  "-"  .
+ : %bMAIL%b
+:
+         %b/msg %C SET <> EMAIL founder@we.rock%b
+                 <> 
+           "founder@we.rock"
+
+         %b/msg %C SET <> EMAIL -%b
+                 <>.
diff -rduN hybserv/help.bg/chanserv/set/entrymsg hybserv+bg-support/help.bg/chanserv/set/entrymsg
--- hybserv/help.bg/chanserv/set/entrymsg	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/entrymsg	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,12 @@
+: %bSET <> ENTRYMSG <|->%b
+
+ ,      %C, 
+   ,  <>  <>.
+      "-"  .
+ : %bONJOIN%b
+:
+         %b/msg %C SET <> ENTRYMSG Welcome!%b
+              "Welcome!"  <>
+
+         %b/msg %C SET <> ENTRYMSG -%b
+              <>
diff -rduN hybserv/help.bg/chanserv/set/expirebans hybserv+bg-support/help.bg/chanserv/set/expirebans
--- hybserv/help.bg/chanserv/set/expirebans	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/expirebans	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bSET <> EXPIREBANS {ON|OFF}%b
+
+ EXPIREBANS  ,   
+       .
diff -rduN hybserv/help.bg/chanserv/set/forget hybserv+bg-support/help.bg/chanserv/set/forget
--- hybserv/help.bg/chanserv/set/forget	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/forget	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,10 @@
+: %bSET <> FORGET {ON}%b
+
+  FORGET ON, %C    ,
+          .
+         %C,
+         
+%C  .     ,    %C
+  ,      
+ .      
+     %bDROP%b.
diff -rduN hybserv/help.bg/chanserv/set/founder hybserv+bg-support/help.bg/chanserv/set/founder
--- hybserv/help.bg/chanserv/set/founder	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/founder	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bSET <> FOUNDER <>%b
+
+  (founder)  <>  <>.
diff -rduN hybserv/help.bg/chanserv/set/guard hybserv+bg-support/help.bg/chanserv/set/guard
--- hybserv/help.bg/chanserv/set/guard	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/guard	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET <> GUARD {ON|OFF}%b
+
+ GUARD  , %C        .
+      ,  %C     ,
+        .
diff -rduN hybserv/help.bg/chanserv/set/index hybserv+bg-support/help.bg/chanserv/set/index
--- hybserv/help.bg/chanserv/set/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,31 @@
+: %bSET <> <> []%b
+
+   (founder)    
+   25      .
+      :
+/msg %C set #channel FOUND newfounder
+    "newfounder".
+ -      :
+%b/msg %C HELP SET <>%b
+
+ :
+
+    FOUNDER         (founder)
+    SUCCESSOR    successor  
+    PASSWORD        (founder)
+    MLOCK             
+    TOPIC           
+    TOPICLOCK           SET TOPIC
+    PRIVATE         ChanServ 
+    SECUREOPS   -    
+    RESTRICTED     
+    SECURE           
+    ENTRYMSG       ,     
+    EMAIL        E-Mail   
+    URL            
+    FORGET       ,  %C   %b%b  
+    GUARD        %C  
+    SPLITOPS             netsplit
+    VERBOSE             access 
+    EXPIREBANS     
+
diff -rduN hybserv/help.bg/chanserv/set/mlock hybserv+bg-support/help.bg/chanserv/set/mlock
--- hybserv/help.bg/chanserv/set/mlock	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/mlock	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,20 @@
+Syntax: %bSET <> MLOCK <>%b
+
+ %C   <>  <>. , 
+ "+"  ,    "-"  .
+ : %bMODELOCK%b
+
+:
+         %bSET #channel MLOCK -mi+sntl 6%b
+            'm'  'i'     ,
+             's', 'n',  't'   .
+            (limit)     
+             6.
+
+         %bSET #channel MLOCK +sk hello%b
+               's'      
+            "hello".
+
+         %bSET #channel MLOCK +%b
+             ,   %C,   ,
+                 .
diff -rduN hybserv/help.bg/chanserv/set/password hybserv+bg-support/help.bg/chanserv/set/password
--- hybserv/help.bg/chanserv/set/password	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/password	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bSET <> PASSWORD <>%b
+
+   <>  <>.
+ : %bNEWPASS%b
diff -rduN hybserv/help.bg/chanserv/set/private hybserv+bg-support/help.bg/chanserv/set/private
--- hybserv/help.bg/chanserv/set/private	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/private	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bSET <> PRIVATE {ON|OFF}%b
+
+ PRIVATE  ,     ,
+     %C %bLIST%b.
diff -rduN hybserv/help.bg/chanserv/set/restricted hybserv+bg-support/help.bg/chanserv/set/restricted
--- hybserv/help.bg/chanserv/set/restricted	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/restricted	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bSET <> RESTRICTED {ON|OFF}%b
+
+ RESTRICTED  ON,  ,  
+auto-op   -  <>,  
+   (kick-banned),    
+  .
diff -rduN hybserv/help.bg/chanserv/set/secure hybserv+bg-support/help.bg/chanserv/set/secure
--- hybserv/help.bg/chanserv/set/secure	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/secure	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bSET <> SECURE {ON|OFF}%b
+
+     %C  .
+ SECURE  ON,  ,   
+   %N    IDENTIFY  
+,     ,    
+ %bACCESS LIST%b.
diff -rduN hybserv/help.bg/chanserv/set/secureops hybserv+bg-support/help.bg/chanserv/set/secureops
--- hybserv/help.bg/chanserv/set/secureops	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/secureops	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET <> SECUREOPS {ON|OFF}%b
+
+ SECUREOPS  ,  , 
+ autoop   -     
+  .
diff -rduN hybserv/help.bg/chanserv/set/splitops hybserv+bg-support/help.bg/chanserv/set/splitops
--- hybserv/help.bg/chanserv/set/splitops	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/splitops	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bSET <> SPLITOPS {ON|OFF}%b
+
+ SPLITOPS  ON,  , 
+     netsplit  
+  .    mass-deops  
+,       %C.
diff -rduN hybserv/help.bg/chanserv/set/successor hybserv+bg-support/help.bg/chanserv/set/successor
--- hybserv/help.bg/chanserv/set/successor	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/successor	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bSET <> SUCCESSOR <|->%b
+
+ successor  <>  <>.  
+      , services 
+   successor-.     ,
+  successor- ,      .
diff -rduN hybserv/help.bg/chanserv/set/topic hybserv+bg-support/help.bg/chanserv/set/topic
--- hybserv/help.bg/chanserv/set/topic	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/topic	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,11 @@
+: %bSET <> TOPIC <|->%b
+
+%C    <>  <>.
+      TOPICLOCK
+(%b/msg %C HELP SET TOPICLOCK%b).
+:
+         %b/msg %C SET #channel TOPIC Welcome to our channel%b
+           %C    #channel   
+
+         %b/msg %C SET #channel TOPIC -%b
+              #channel
diff -rduN hybserv/help.bg/chanserv/set/topiclock hybserv+bg-support/help.bg/chanserv/set/topiclock
--- hybserv/help.bg/chanserv/set/topiclock	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/topiclock	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bSET <> TOPICLOCK {ON|OFF}%b
+
+ TOPICLOCK  ON, %C     
+(  )     <>.
+      
+TOPICLOCK   %b/msg %C SET <> TOPIC <>%b.
+: %b/msg %C HELP SET TOPIC%b   .
+ : %bTLOCK%b
diff -rduN hybserv/help.bg/chanserv/set/unforbid hybserv+bg-support/help.bg/chanserv/set/unforbid
--- hybserv/help.bg/chanserv/set/unforbid	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/unforbid	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bUNFORBID <>%b
+
+   forbidden,     
+    (     ,  
+kickban).      FORBID ,
+        
+.
+
diff -rduN hybserv/help.bg/chanserv/set/url hybserv+bg-support/help.bg/chanserv/set/url
--- hybserv/help.bg/chanserv/set/url	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/url	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,12 @@
+: %bSET <> URL <|->%b
+
+   <>  <>.  
+  %bINFO%b  ,    
+  .      "-"  .
+ : %bWEBSITE%b
+:
+         %b/msg %C SET <> URL http://channel.com!%b
+             "http://channel.com"  <>
+
+         %b/msg %C SET <> URL -%b
+              <>
diff -rduN hybserv/help.bg/chanserv/set/verbose hybserv+bg-support/help.bg/chanserv/set/verbose
--- hybserv/help.bg/chanserv/set/verbose	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/set/verbose	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET <> VERBOSE {ON|OFF}%b
+
+ VERBOSE  ON,   
+access   <>   
+   <>.
diff -rduN hybserv/help.bg/chanserv/setpass hybserv+bg-support/help.bg/chanserv/setpass
--- hybserv/help.bg/chanserv/setpass	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/setpass	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bSETPASS <> <>%b
+
+   <>.
diff -rduN hybserv/help.bg/chanserv/status hybserv+bg-support/help.bg/chanserv/status
--- hybserv/help.bg/chanserv/status	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/status	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bSTATUS <> <>%b
+
+   <>  <>.
diff -rduN hybserv/help.bg/chanserv/unban hybserv+bg-support/help.bg/chanserv/unban
--- hybserv/help.bg/chanserv/unban	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/unban	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,14 @@
+: %bUNBAN <> [ALL]%b
+
+      user@host  <>.
+  ALL,    <>   .
+   SuperOp   <>   
+ALL .
+
+         %b/msg %C UNBAN #channel%b
+                 #channel 
+               .
+
+         %b/msg %C UNBAN #channel ALL%b
+                 #channel. ( 
+             SuperOp  #channel).
diff -rduN hybserv/help.bg/chanserv/voice hybserv+bg-support/help.bg/chanserv/voice
--- hybserv/help.bg/chanserv/voice	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/chanserv/voice	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,14 @@
+x: %bVOICE <> []%b
+
+    [].    
+, %C       
+.  %b-%b    
+  .
+:
+         %b/msg %C VOICE #channel%b
+               #channel  
+            .
+
+         %b/msg %C VOICE #channel nick1 -nick2 nick3%b
+               nick1  nick3,  
+            nick2.
diff -rduN hybserv/help.bg/global/gchannote hybserv+bg-support/help.bg/global/gchannote
--- hybserv/help.bg/global/gchannote	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/global/gchannote	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,15 @@
+: %bGCHANNOTE [] <>%b
+
+    ,    [].
+Alias: %bGCNOTE%b
+
+ :
+  -mask <>    ,     .
+
+:
+         %b/msg %G GCNOTE -mask *losh* Losh kanal ;b%b
+              "Losh kanal ;b"   
+                *losh*.
+
+         %b/msg %G GCNOTE Zabavlqwajte se!%b
+                  .
diff -rduN hybserv/help.bg/global/gcmemo hybserv+bg-support/help.bg/global/gcmemo
--- hybserv/help.bg/global/gcmemo	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/global/gcmemo	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bGCMEMO <  >%b
+
+   <  >    .
+Channel services    .
diff -rduN hybserv/help.bg/global/gmemo hybserv+bg-support/help.bg/global/gmemo
--- hybserv/help.bg/global/gmemo	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/global/gmemo	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bGMEMO <  >%b
+
+   <  >    ,
+         . Nickname  Memo
+services    .
diff -rduN hybserv/help.bg/global/gnote hybserv+bg-support/help.bg/global/gnote
--- hybserv/help.bg/global/gnote	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/global/gnote	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,18 @@
+: %bGNOTE [] <>%b
+
+     ,    [].
+Alias: %bGNOTICE%b
+
+ :
+  -all             ( )
+  -opers          IRC 
+  -ops            ,    'o'
+  -admins         ,    'a'
+
+:
+         %b/msg %G GNOTE -opers -ops Zdrawejte.%b
+             "Zdrawejte."   IRC 
+           ,    'o'  hybserv.conf.
+
+         %b/msg %G GNOTE -all Services ste sprat sled 10 minuti%b
+                  .
diff -rduN hybserv/help.bg/global/index hybserv+bg-support/help.bg/global/index
--- hybserv/help.bg/global/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/global/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,13 @@
+%b%G%b        
+     .   
+, : %b/msg %G <>%b.    
+ , :
+%b/msg %G help <>%b.
+
+    MOTD             
+%+a%b* * * *%b
+%+a%b %b
+%+a    GNOTE          
+%+a    GCHANNOTE      
+%+a    GMEMO          
+%+a    GCMEMO         
diff -rduN hybserv/help.bg/global/motd hybserv+bg-support/help.bg/global/motd
--- hybserv/help.bg/global/motd	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/global/motd	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bMOTD%b
+
+     .
+
+Alias: %bLOGONNEWS%b
diff -rduN hybserv/help.bg/helpserv/chanserv hybserv+bg-support/help.bg/helpserv/chanserv
--- hybserv/help.bg/helpserv/chanserv	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/helpserv/chanserv	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+%b: CHANSERV [ []]%b
+
+   [],     [],        %C.
\ No newline at end of file
diff -rduN hybserv/help.bg/helpserv/index hybserv+bg-support/help.bg/helpserv/index
--- hybserv/help.bg/helpserv/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/helpserv/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,11 @@
+%b%H%b     help   
+ service .    , :
+%b/msg %H <>%b.    - help, :
+%b/msg %H help <>%b.
+
+%+o    OPERSERV   help   %O's 
+    NICKSERV   help   %N's
+    CHANSERV   help   %C's
+    MEMOSERV   help   %M's
+    STATSERV   help   %T's
+    SEENSERV   help   %E's
diff -rduN hybserv/help.bg/helpserv/memoserv hybserv+bg-support/help.bg/helpserv/memoserv
--- hybserv/help.bg/helpserv/memoserv	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/helpserv/memoserv	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+%b: MEMOSERV []%b
+
+   [],     [],        %M.
diff -rduN hybserv/help.bg/helpserv/nickserv hybserv+bg-support/help.bg/helpserv/nickserv
--- hybserv/help.bg/helpserv/nickserv	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/helpserv/nickserv	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+%b: NICKSERV [ []]%b
+
+   [],     [],        %N.
diff -rduN hybserv/help.bg/helpserv/operserv hybserv+bg-support/help.bg/helpserv/operserv
--- hybserv/help.bg/helpserv/operserv	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/helpserv/operserv	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+%b: OPERSERV []%b
+
+   [],     [],        %O.
+
diff -rduN hybserv/help.bg/helpserv/statserv hybserv+bg-support/help.bg/helpserv/statserv
--- hybserv/help.bg/helpserv/statserv	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/helpserv/statserv	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+%b: STATSERV []%b
+
+   [],     [],        %T.
+
diff -rduN hybserv/help.bg/memoserv/del hybserv+bg-support/help.bg/memoserv/del
--- hybserv/help.bg/memoserv/del	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/del	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bDEL [] <|ALL>%b
+
+  (  )  .   
+  ,      ,
+    %bPURGE%b  .
diff -rduN hybserv/help.bg/memoserv/forward hybserv+bg-support/help.bg/memoserv/forward
--- hybserv/help.bg/memoserv/forward	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/forward	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bFORWARD <|ALL> </>%b
+
+  (  )    
+.     "[Fwd]: "   , 
+  ,    .    
+     /.
+: %bforward ALL drugar4eto%b
diff -rduN hybserv/help.bg/memoserv/index hybserv+bg-support/help.bg/memoserv/index
--- hybserv/help.bg/memoserv/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,17 @@
+%b%M%b      IRC 
+      ,  
+    ,      
+,     autoop  -.
+ ,  ,   ,   ,
+      %b%N%b,  
+  ,        %b%C%b.
+   , : %b/msg %M <>%b.  
+   , :
+%b/msg %M help <>%b.
+
+    SEND       /
+    LIST               
+    READ      (  )
+    FORWARD    /
+    REPLY       
+    DEL       (  )  
diff -rduN hybserv/help.bg/memoserv/list hybserv+bg-support/help.bg/memoserv/list
--- hybserv/help.bg/memoserv/list	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/list	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bLIST []%b
+
+      ,    
+[     .     
+  .
diff -rduN hybserv/help.bg/memoserv/purge hybserv+bg-support/help.bg/memoserv/purge
--- hybserv/help.bg/memoserv/purge	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/purge	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bPURGE []%b
+
+     ,   
+  ,     [], 
+ ,       []
+  ,      
+    .
diff -rduN hybserv/help.bg/memoserv/read hybserv+bg-support/help.bg/memoserv/read
--- hybserv/help.bg/memoserv/read	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/read	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bREAD [] <|ALL>%b
+
+ ,    <>    ,   
+  [],     .
+  ALL,      .
diff -rduN hybserv/help.bg/memoserv/reply hybserv+bg-support/help.bg/memoserv/reply
--- hybserv/help.bg/memoserv/reply	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/reply	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bREPLY <> <>%b
+
+    .    "[Re]:".
+       .
+: %bREPLY 1 Mersi za memoto pi4! ;)%b
diff -rduN hybserv/help.bg/memoserv/send hybserv+bg-support/help.bg/memoserv/send
--- hybserv/help.bg/memoserv/send	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/send	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bSEND <|> <>%b
+
+   ,    
+,   [].       
+      (     NOTIFY (ON)).
+   ,  ,     autoops
+     .      autoop
+ - ,      .
diff -rduN hybserv/help.bg/memoserv/undel hybserv+bg-support/help.bg/memoserv/undel
--- hybserv/help.bg/memoserv/undel	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/memoserv/undel	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bUNDEL [] <|ALL>%b
+
+  (  ), 
+   .
diff -rduN hybserv/help.bg/nickserv/access/add hybserv+bg-support/help.bg/nickserv/access/add
--- hybserv/help.bg/nickserv/access/add	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/access/add	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bACCESS ADD <>%b
+
+ %b<>%b      .
+%+a%b* * * *
+%+a       
+%+a  : %bACCESS <> ADD <>%b
diff -rduN hybserv/help.bg/nickserv/access/del hybserv+bg-support/help.bg/nickserv/access/del
--- hybserv/help.bg/nickserv/access/del	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/access/del	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bACCESS DEL <>%b
+
+ %b<>%b      .
+%+a%b* * * *
+%+a       
+%+a  : %bACCESS <> DEL <>%b
diff -rduN hybserv/help.bg/nickserv/access/index hybserv+bg-support/help.bg/nickserv/access/index
--- hybserv/help.bg/nickserv/access/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/access/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,22 @@
+: %bACCESS {ADD|DEL|LIST} []%b
+
+%bACCESS%b      
+   .   
+    %bACCESS%b  ,     
+%bIDENTIFY%b  %N.
+
+:
+    %bACCESS ADD *wnder@*underworld.net%b
+            
+           %b*wnder@*underworld.net%b
+
+    %bACCESS DEL *wnder@*underworld.net%b
+          .
+
+    %bACCESS LIST%b
+             .
+
+: %b/msg %N HELP ACCESS <>%b   
+%+a%b* * * *
+%+a   /    
+%+a  : %bACCESS <> {ADD|DEL|LIST} []%b
diff -rduN hybserv/help.bg/nickserv/access/list hybserv+bg-support/help.bg/nickserv/access/list
--- hybserv/help.bg/nickserv/access/list	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/access/list	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bACCESS LIST []%b
+
+    .  []  ,
+       .
+%+a%b* * * *
+%+a       
+%+a  : %bACCESS <> LIST []%b
diff -rduN hybserv/help.bg/nickserv/collide hybserv+bg-support/help.bg/nickserv/collide
--- hybserv/help.bg/nickserv/collide	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/collide	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,25 @@
+Syntax: %bCOLLIDE <> []%b
+
+    /  ,
+      .   
+ ,     -set.
+  :
+
+  %b-list%b   -      
+  %b-halt%b   -       
+  %b-set%b    -        
+  %b-setnow%b -       
+
+:
+         %b/msg %N COLLIDE lamer -set%b
+                lamer.
+           :  -set  -setnow  , <>
+                     .
+
+         %b/msg %N COLLIDE *good* -halt%b
+                   
+           *good*.
+
+         %b/msg %N COLLIDE *lame* -list%b
+                *lame*  
+             .
diff -rduN hybserv/help.bg/nickserv/drop hybserv+bg-support/help.bg/nickserv/drop
--- hybserv/help.bg/nickserv/drop	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/drop	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,10 @@
+: %bDROP []%b
+
+%bDROP%b       
+ ,       .
+    %bIDENTIFY%b'd   %bDROP%b 
+,      ;   
+  .
+%+a%b* * * *%b
+%+a    %bDROP <>%b
+%+a         .
diff -rduN hybserv/help.bg/nickserv/droplink hybserv+bg-support/help.bg/nickserv/droplink
--- hybserv/help.bg/nickserv/droplink	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/droplink	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bDROPLINK <>%b
+
+        
+<> (  ),     
+  .        %bDROP%b
+   .
diff -rduN hybserv/help.bg/nickserv/flag hybserv+bg-support/help.bg/nickserv/flag
--- hybserv/help.bg/nickserv/flag	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/flag	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,29 @@
+: %bFLAG <> []%b
+
+      
+       .
+      , 
+  /  .
+ <>      , 
+  /   .
+
+  :
+
+  %b-noregister%b  -      
+                      .
+
+  %b-nochanops%b   - ChanServ     
+                            
+                     .
+
+  %b-clear%b       -     .
+
+:
+         %b/msg %N FLAG meanie -noreg -nochan%b
+            "meanie"     ,
+                   
+            -         .
+
+         %b/msg %N FLAG meanie -clear%b
+           "meanie"        
+              .
diff -rduN hybserv/help.bg/nickserv/forbid hybserv+bg-support/help.bg/nickserv/forbid
--- hybserv/help.bg/nickserv/forbid	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/forbid	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bFORBID <>%b
+
+     %b<>%b. , 
+  (forbid)    
+(kill)  60      . 
diff -rduN hybserv/help.bg/nickserv/ghost hybserv+bg-support/help.bg/nickserv/ghost
--- hybserv/help.bg/nickserv/ghost	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/ghost	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,13 @@
+: %bGHOST <> []%b
+
+     ISP    
+irc ,     
+  .      
+  (kill)  ,   
+   .  %b<>%b
+ %bSET SECURE%b OFF,     
+ACCESS LIST  %b<>%b,     
+ .
+%+a%b* * * *
+%+a   %BGHOST%b   -
+%+a%bGHOST <>%b.
diff -rduN hybserv/help.bg/nickserv/identify hybserv+bg-support/help.bg/nickserv/identify
--- hybserv/help.bg/nickserv/identify	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/identify	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bIDENTIFY <>%b
+
+         .
+ ,        
+       . 
+%bSET AUTOMASK%b  ON,   %bIDENTIFY%b    
+    %bACCESS%b ,     
+  .
diff -rduN hybserv/help.bg/nickserv/index hybserv+bg-support/help.bg/nickserv/index
--- hybserv/help.bg/nickserv/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,32 @@
+%b%N%b    ""  
+       .  
+    30 ,   . 
+      ;
+   ,  %b/msg %N <>%b.
+     , 
+%b/msg %N help <>%b.
+
+    REGISTER    
+    DROP          
+    IDENTIFY       
+    ACCESS         
+    SET             
+    LIST              
+    RECOVER          
+    RELEASE    Regain custody of your nick after %bRECOVER%b
+    GHOST      Kill a ghosted nickname
+    INFO           
+    LINK           
+    UNLINK          
+%+a%b* * * *
+%+a  :
+%+a%b%b
+%+a    FORBID           
+%+a    UNFORBID       FORBID
+%+a    SETPASS       
+%+a    NOEXPIRE        
+%+a    SHOWLINK   Display a certain nickname link list
+%+a    DROPLINK   Drop an entire nickname link
+%+a    COLLIDE         
+%+a    FLAG              
+%+a    CLEARNOEXP   noexpire    
diff -rduN hybserv/help.bg/nickserv/info hybserv+bg-support/help.bg/nickserv/info
--- hybserv/help.bg/nickserv/info	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/info	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bINFO <>%b
+
+   <>    ,
+%bSET%b ,      .
diff -rduN hybserv/help.bg/nickserv/link hybserv+bg-support/help.bg/nickserv/link
--- hybserv/help.bg/nickserv/link	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/link	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,29 @@
+: %bLINK <> <>%b
+
+         
+  <>,      
+  <>.     ,
+ %bACCESS%b    ,     
+ <>     .     
+      <>    .
+ <>     ,     
+   .
+
+        services,
+         ,
+   %bDROP%b, %bUNLINK%b, %bSET PASSWORD%b,
+%bSET EMAIL%b,  %bSET URL%b.
+
+     , 
+    %bIDENTIFY%b   ,
+  ,       
+      .   
+          
+ ,       
+  .    ,   
+    ,     
+.
+
+:
+        %b/msg %N LINK CoolGuy CoolGuysPassword%b
+              "CoolGuy".
\ No newline at end of file
diff -rduN hybserv/help.bg/nickserv/list hybserv+bg-support/help.bg/nickserv/list
--- hybserv/help.bg/nickserv/list	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/list	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bLIST <>%b
+
+      
+%b<pattern>%b.    %bSET PRIVATE%b ON,
+   .
+
+: %bLIST **%b
+                %b%b
diff -rduN hybserv/help.bg/nickserv/noexpire hybserv+bg-support/help.bg/nickserv/noexpire
--- hybserv/help.bg/nickserv/noexpire	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/noexpire	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bNOEXPIRE <>%b
+
+ NOEXPIRE    , 
+      .  , 
+        %bDROP%b.
diff -rduN hybserv/help.bg/nickserv/recover hybserv+bg-support/help.bg/nickserv/recover
--- hybserv/help.bg/nickserv/recover	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/recover	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,15 @@
+: %bRECOVER <> []%b
+
+     ,  
+ %bRECOVER%b     .
+%bRECOVER%b    %b<>%b
+      %bRELEASE%b
+,      
+   .       %bACCESS%b
+  %b<>%b,      %bSET SECURE%b ON,
+    . ,  %b<>%b 
+ %bSET SECURE%b ON,      
+ .
+%+a%b* * * *
+%+a   %BRECOVER%b   -
+%+a%bRECOVER <>%b.
diff -rduN hybserv/help.bg/nickserv/register hybserv+bg-support/help.bg/nickserv/register
--- hybserv/help.bg/nickserv/register	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/register	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bREGISTER <>%b
+
+        
+,       .  
+        
+  .      
+   %bSET%b  %bACCESS%b 
+   .
diff -rduN hybserv/help.bg/nickserv/release hybserv+bg-support/help.bg/nickserv/release
--- hybserv/help.bg/nickserv/release	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/release	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,13 @@
+: %bRELEASE <> []%b
+
+ %b%N%b    ,   
+ %bRECOVER%b      %bIDENTIFY%b
+,    %bRELEASE%b   
+   .    
+ %bACCESS%b      %bSET SECURE%b
+  OFF,      . ,  
+%bSET SECURE%b  ON,     
+.
+%+a%b* * * *
+%+a   %bRELEASE%b   .
+%+a(%bRELEASE <>%b)
diff -rduN hybserv/help.bg/nickserv/set/automask hybserv+bg-support/help.bg/nickserv/set/automask
--- hybserv/help.bg/nickserv/set/automask	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/automask	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bSET AUTOMASK {ON|OFF}%b
+
+      
+ON/OFF.  %bAUTOMASK%b   ON,     %bIDENTIFY%b
+  ,      
+ %bACCESS%b .
diff -rduN hybserv/help.bg/nickserv/set/email hybserv+bg-support/help.bg/nickserv/set/email
--- hybserv/help.bg/nickserv/set/email	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/email	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,15 @@
+: %bSET EMAIL < |->%b
+
+   .  
+ %bINFO%b   ,
+     ,    
+  %bHIDE%b ON.    
+     "-" 
+.
+
+:
+         %b/msg %N SET EMAIL me@me.com%b
+                "me@me.com".
+
+         %b/msg %N SET EMAIL -%b
+              .
diff -rduN hybserv/help.bg/nickserv/set/gsm hybserv+bg-support/help.bg/nickserv/set/gsm
--- hybserv/help.bg/nickserv/set/gsm	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/gsm	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,13 @@
+: %bSET GSM <GSM |->%b
+
+  GSM   <GSM >.  
+ %bINFO%b    ,   
+  GSM ,      %bHIDE%b ON. 
+  GSM    "-"  .
+:
+         %b/msg %N SET GSM +385 91 1234567%b
+            GSM    "+385 91 1234567".
+
+         %b/msg %N SET GSM -%b
+            GSM  .
+
diff -rduN hybserv/help.bg/nickserv/set/hide hybserv+bg-support/help.bg/nickserv/set/hide
--- hybserv/help.bg/nickserv/set/hide	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/hide	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,24 @@
+: %bSET HIDE {ALL|EMAIL|URL|ADDR|QUIT} {ON|OFF}%b
+
+  HIDE,     
+       
+%bINFO%b. %bHIDE ALL%b     ,
+,    ,   
+       .
+%bHIDE EMAIL%b     .
+%bHIDE URL%b    .
+%bHIDE ADDR%b       .
+%bHIDE QUIT%b       .
+:
+         %b/msg %N SET HIDE ALL ON%b
+                .
+
+         %b/msg %N SET HIDE QUIT OFF%b
+                  
+               IRC.
+
+         %b/msg %N SET HIDE EMAIL ON%b
+              .
+%+a%b* * * *
+%+a       
+%+a %bINFO%b     .
diff -rduN hybserv/help.bg/nickserv/set/index hybserv+bg-support/help.bg/nickserv/set/index
--- hybserv/help.bg/nickserv/set/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,25 @@
+: %bSET <> []%b
+
+    .
+%b:%b
+
+    KILL          kill 
+    AUTOMASK        %bIDENTIFY%b
+    PASSWORD     
+    OPER       /     
+    SECURE     /   
+    UNSECURE          
+    PRIVATE         %bLIST%bs
+    MEMOS         
+    NOTIFY     /    
+    SIGNON     /       
+    EMAIL         
+    URL          
+    HIDE            %bINFO%b
+    MASTER          
+    UIN         ICQ UIN  
+    GSM              
+    PHONE          
+
+ %b/msg %N HELP SET %b   
+  .
diff -rduN hybserv/help.bg/nickserv/set/kill hybserv+bg-support/help.bg/nickserv/set/kill
--- hybserv/help.bg/nickserv/set/kill	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/kill	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,16 @@
+: %bSET KILL {ON|OFF|IMMED}%b
+
+  / kill    .
+  , %N    ,
+        ,
+        %bACCESS%b .
+
+   IMMED,      %bACCESS%b
+     (kill)   .
+ %bSET SECURE%b        
+       .  
+,     ,      
+,    SET SECURE.
+
+    .  
+      SET KILL IMMED.
diff -rduN hybserv/help.bg/nickserv/set/master hybserv+bg-support/help.bg/nickserv/set/master
--- hybserv/help.bg/nickserv/set/master	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/master	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,10 @@
+: %bSET MASTER <>%b
+
+       <>.
+   %bACCESS%b   
+   .  ,   
+  , <>  
+     ( %bLINK%b ).
+:
+        %b/msg %N SET MASTER MainNick%b
+               "MainNick".
diff -rduN hybserv/help.bg/nickserv/set/memos hybserv+bg-support/help.bg/nickserv/set/memos
--- hybserv/help.bg/nickserv/set/memos	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/memos	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET MEMOS {ON/OFF}%b
+
+ MEMOS  OFF, ,       
+,    ,    .
+
diff -rduN hybserv/help.bg/nickserv/set/notify hybserv+bg-support/help.bg/nickserv/set/notify
--- hybserv/help.bg/nickserv/set/notify	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/notify	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bSET NOTIFY {ON/OFF}%b
+
+ NOTIFY  OFF,     
+   .
diff -rduN hybserv/help.bg/nickserv/set/oper hybserv+bg-support/help.bg/nickserv/set/oper
--- hybserv/help.bg/nickserv/set/oper	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/oper	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET OPER {ON|OFF}%b
+
+ %bOPER%b  ON,     
+  .    IRC ,   
+ .
diff -rduN hybserv/help.bg/nickserv/set/password hybserv+bg-support/help.bg/nickserv/set/password
--- hybserv/help.bg/nickserv/set/password	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/password	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET PASSWORD < >%b
+
+      %b< >%b. 
+ ,         
+   .
diff -rduN hybserv/help.bg/nickserv/set/phone hybserv+bg-support/help.bg/nickserv/set/phone
--- hybserv/help.bg/nickserv/set/phone	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/phone	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,12 @@
+: %bSET PHONE <PHONE |->%b
+
+ PHONE   <PHONE >.   
+%bINFO%b   ,      
+ ,      %bHIDE%b ON.   
+PHONE  ,  "-"  .
+:
+         %b/msg %N SET PHONE +385 1 1234567%b
+                "+385 1 1234567".
+
+         %b/msg %N SET PHONE -%b
+              .
diff -rduN hybserv/help.bg/nickserv/set/private hybserv+bg-support/help.bg/nickserv/set/private
--- hybserv/help.bg/nickserv/set/private	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/private	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET PRIVATE {ON|OFF}%b
+
+ %bPRIVATE%b  ON,      
+   %bLIST%b     
+  %bACCESS%b  .
diff -rduN hybserv/help.bg/nickserv/set/secure hybserv+bg-support/help.bg/nickserv/set/secure
--- hybserv/help.bg/nickserv/set/secure	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/secure	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,13 @@
+: %bSET SECURE {ON|OFF}%b
+
+ %bSECURE%b  ON, ,  
+ ,       %bIDENTIFY%b,
+    %bACCESS%b  .  ,
+      %bRECOVER%b/%bRELEASE%b
+/  ,     
+,     %bACCESS%b  .
+ %bSECURE%b  OFF, ,  
+      (kill),   
+  ,       
+  %N     .
+: %bSET UNSECURE%b
diff -rduN hybserv/help.bg/nickserv/set/signon hybserv+bg-support/help.bg/nickserv/set/signon
--- hybserv/help.bg/nickserv/set/signon	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/signon	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSET SIGNON {ON/OFF}%b
+
+ SIGNON  OFF,      
+,     ,  
+ .
diff -rduN hybserv/help.bg/nickserv/set/uin hybserv+bg-support/help.bg/nickserv/set/uin
--- hybserv/help.bg/nickserv/set/uin	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/uin	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,9 @@
+: %bSET UIN [] %b
+
+  ICQ UIN  [].    %bINFO%b
+   ,      UIN,
+      %bHIDE%b ON.    UIN  
+[].
+:
+         %b/msg %N SET UIN 45545465%b
+             UIN  "45545465".
diff -rduN hybserv/help.bg/nickserv/set/unsecure hybserv+bg-support/help.bg/nickserv/set/unsecure
--- hybserv/help.bg/nickserv/set/unsecure	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/unsecure	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bSET UNSECURE {ON|OFF}%b
+
+ UNSECURE  ON,     
+      %bIDENTIFY%b,  
+   %N,      
+ %bACCESS%b  .    .
diff -rduN hybserv/help.bg/nickserv/set/url hybserv+bg-support/help.bg/nickserv/set/url
--- hybserv/help.bg/nickserv/set/url	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/set/url	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,13 @@
+: %bSET URL <|->%b
+
+  .    %bINFO%b
+  ,       ,
+     %bHIDE%b ON.    
+,  "-"  .
+
+: 
+         %b/msg %N SET URL http://my.site.com%b
+               "http://my.site.com".
+
+         %b/msg %N SET URL -%b
+            .
diff -rduN hybserv/help.bg/nickserv/setpass hybserv+bg-support/help.bg/nickserv/setpass
--- hybserv/help.bg/nickserv/setpass	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/setpass	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bSETPASS <> <>%b
+
+   %b<>%b  %b<>%b.
+       
+  ,     
+ (kill)   .
+ : %bCHPASS%b
diff -rduN hybserv/help.bg/nickserv/showlink hybserv+bg-support/help.bg/nickserv/showlink
--- hybserv/help.bg/nickserv/showlink	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/showlink	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bSHOWLINK <>%b
+
+       <>,
+   .
diff -rduN hybserv/help.bg/nickserv/unforbid hybserv+bg-support/help.bg/nickserv/unforbid
--- hybserv/help.bg/nickserv/unforbid	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/unforbid	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bUNFORBID <>%b
+
+   forbid   %b<>%b.
+ , , .   .
+
diff -rduN hybserv/help.bg/nickserv/unlink hybserv+bg-support/help.bg/nickserv/unlink
--- hybserv/help.bg/nickserv/unlink	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/nickserv/unlink	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,17 @@
+: %bUNLINK [ []]%b
+
+   (unlink)     
+    . ,  [ []]
+ ,   []    .
+         
+    .     
+     .
+
+
+:
+
+        %b/msg %N UNLINK%b
+               .
+
+        %b/msg %N UNLINK CoolGuy CoolGuysPassword%b
+	     'CoolGuy'      .
\ No newline at end of file
diff -rduN hybserv/help.bg/operserv/channel hybserv+bg-support/help.bg/operserv/channel
--- hybserv/help.bg/operserv/channel	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/channel	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,41 @@
+: %bCHANNEL <> []%b
+
+    ,    <>
+ [].
+
+ :
+  -minimum <>   ,     , 
+                             .
+
+  -maximum <>   ,     , 
+                         -    .
+
+  -banmatch <> ,     , 
+                              (ban) .
+
+  -exmatch <>  ,     , 
+                               ,
+                              (exceptions, +e).
+
+  -nolimit               MaxChannel   
+
+:
+  %bCHANNEL *pattern*%b
+        ,   
+    *pattern*.
+
+  %bCHANNEL * -min 100%b
+      ,   100   .
+
+  %bCHANNEL * -min 100 -max 200%b
+      ,   100   ,
+        - 200  -. ..   
+     100  200.
+
+  %bCHANNEL *lame* -banmatch *lamer.org*%b
+      ,    *lame*,  
+       *lamer.org*    .
+
+  %bCHANNEL * -exmatch *good.hostmask*%b
+      ,      
+      ,       (exceptions, +e).
diff -rduN hybserv/help.bg/operserv/clones hybserv+bg-support/help.bg/operserv/clones
--- hybserv/help.bg/operserv/clones	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/clones	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bCLONES%b
+
+    .
diff -rduN hybserv/help.bg/operserv/dcc/boot hybserv+bg-support/help.bg/operserv/dcc/boot
--- hybserv/help.bg/operserv/dcc/boot	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dcc/boot	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+ %bboot%b <> []
+    <>  DCC CHAT partyline  [].
+  /kick  .
diff -rduN hybserv/help.bg/operserv/dcc/index hybserv+bg-support/help.bg/operserv/dcc/index
--- hybserv/help.bg/operserv/dcc/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dcc/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,19 @@
+
+ :
+help      identify motd     quit      who
+
+%+o :
+%+ojupe      unjupe   gline    ungline   kill
+%+oboot      link     unlink   stats     status
+%+oclones    htm      hub      umode
+%+o
+%+a :
+%+achannel   join     jump     ignore    killchan
+%+akillhost  omode    part     secure    trace
+%+a
+%+s  services :
+%+sdie       dump     off/on   rehash
+%+sreload    restart  save     set
+ .help <>  help   
+
+   : %A
diff -rduN hybserv/help.bg/operserv/dcc/link hybserv+bg-support/help.bg/operserv/dcc/link
--- hybserv/help.bg/operserv/dcc/link	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dcc/link	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,2 @@
+ %blink%b <  >
+        <  >  .
diff -rduN hybserv/help.bg/operserv/dcc/motd hybserv+bg-support/help.bg/operserv/dcc/motd
--- hybserv/help.bg/operserv/dcc/motd	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dcc/motd	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,2 @@
+ %bmotd%b
+      (MOTD).
diff -rduN hybserv/help.bg/operserv/dcc/quit hybserv+bg-support/help.bg/operserv/dcc/quit
--- hybserv/help.bg/operserv/dcc/quit	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dcc/quit	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+ %bquit%b []
+      partyline  []
+: .%bquit%b Thats enough for now
diff -rduN hybserv/help.bg/operserv/dcc/unlink hybserv+bg-support/help.bg/operserv/dcc/unlink
--- hybserv/help.bg/operserv/dcc/unlink	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dcc/unlink	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,2 @@
+ %bunlink%b <  > []
+   (unlink) <  >    [].
diff -rduN hybserv/help.bg/operserv/dcc/who hybserv+bg-support/help.bg/operserv/dcc/who
--- hybserv/help.bg/operserv/dcc/who	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dcc/who	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+ %bwho%b
+     ,     DCC CHAT
+partyline. %b'*'%b    ,   
+. %b'+'%b ,    .
diff -rduN hybserv/help.bg/operserv/die hybserv+bg-support/help.bg/operserv/die
--- hybserv/help.bg/operserv/die	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/die	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bDIE []%b
+
+ %b%S%b  [].   
+   .
diff -rduN hybserv/help.bg/operserv/dump hybserv+bg-support/help.bg/operserv/dump
--- hybserv/help.bg/operserv/dump	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/dump	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bDUMP <>%b
+
+ raw       services.
+
+ : %bQUOTE%b, %bRAW%b
diff -rduN hybserv/help.bg/operserv/gline hybserv+bg-support/help.bg/operserv/gline
--- hybserv/help.bg/operserv/gline	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/gline	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,25 @@
+: %bGLINE [] <@> []%b
+
+ (ban)  ,    <@>
+   []. ,   gline  
+ (kill) ,      .
+ []  , gline      
+  . []       :
+
+   %bXwXdXhXmXs%b
+
+ : %bAKILL%b
+
+w - 
+d - 
+h - 
+m - 
+s - 
+
+:
+         %bGLINE%b *@*.lamers.org Don't come back
+             gline  *@*.lamers.org.
+
+         %bGLINE%b 1h30m *clone@clone.com Grrr.
+            gline *clone@clone.com     ,
+             "Grrr."
diff -rduN hybserv/help.bg/operserv/help hybserv+bg-support/help.bg/operserv/help
--- hybserv/help.bg/operserv/help	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/help	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bHELP []%b
+
+  (help)  [].   []   ,
+      .
diff -rduN hybserv/help.bg/operserv/htm hybserv+bg-support/help.bg/operserv/htm
--- hybserv/help.bg/operserv/htm	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/htm	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,18 @@
+: %bHTM [ON|OFF|MAX []]%b
+
+ HTM  (high-traffic mode - HTM).
+ ON  OFF  ,  HTM   
+  .    MAX,  services
+    HTM,    
+.   HTM,    -
+     dcc/telnet   ..
+:
+         %bHTM ON%b
+            HTM.
+
+         %bHTM OFF%b
+            HTM.
+
+         %bHTM MAX 100%b
+           Services     HTM,  
+              100 K/s.
diff -rduN hybserv/help.bg/operserv/hub hybserv+bg-support/help.bg/operserv/hub
--- hybserv/help.bg/operserv/hub	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/hub	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,12 @@
+: %bHUB [ ]%b
+
+   [ ],     , 
+ [ ]  .  [ ]   ,
+       .
+:
+         %bHUB irc.mainhub.com%b
+             leaf ,   irc.mainhub.com
+             .
+
+         %bHUB%b
+              .
diff -rduN hybserv/help.bg/operserv/identify hybserv+bg-support/help.bg/operserv/identify
--- hybserv/help.bg/operserv/identify	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/identify	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bIDENTIFY <>%b
+
+    %b%O%b,      
+
+ : %bREGISTER%b
+:
+        %b/msg %O IDENTIFY MyPassword%b
diff -rduN hybserv/help.bg/operserv/ignore hybserv+bg-support/help.bg/operserv/ignore
--- hybserv/help.bg/operserv/ignore	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/ignore	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,34 @@
+: %bIGNORE ADD <|> []%b
+           %bIGNORE DEL <|>%b
+           %bIGNORE LIST []%b
+
+          
+services.  []    ADD ,
+        ,
+[]       :
+
+  %bXwXdXhXmXs%b
+
+w - 
+d - 
+h - 
+m - 
+s - 
+
+:
+         %bIGNORE ADD *!*@*.lamers.org 1d5h
+            *!*@*.lamers.org  1   5 
+
+         %bIGNORE ADD lamer%b
+             'lamer' 
+
+         %bIGNORE DEL *!*@*.lamers.org%b
+              *!*@*.lamers.org
+
+         %bIGNORE DEL 1%b
+              1   . 
+           %bIGNORE LIST%b     .
+
+         %bIGNORE LIST *.com%b
+             ,    *.com.
+           (%bIGNORE LIST%b     ).
diff -rduN hybserv/help.bg/operserv/index hybserv+bg-support/help.bg/operserv/index
--- hybserv/help.bg/operserv/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,43 @@
+%b%O%b   /    Services, 
+  / .
+    ,  
+%b/msg %O HELP <>%b
+
+    HELP         
+    IDENTIFY      %O
+%+o%b* * * *
+%+o%b  :%b
+%+o    CLONES           
+%+g    GLINE             
+%+g    KLINE      Kline ,  irc    
+%+o    HTM        / HTM
+%+o    HUB         leaf   
+%+j    JUPE          /
+%+o    KILL          
+%+o    STATS        
+%+o    STATUS       
+%+o    UMODE           
+%+g    UNGLINE     gline
+%+j    UNJUPE      jupe  /
+%+a%b* * * *
+%+a%b  :%b
+%+a    CHANNEL        
+%+a    IGNORE          services
+%+a    JOIN        
+%+a    JUMP         
+%+a    KILLCHAN    (kill)   
+%+a    KILLHOST    (kill)     
+%+s    OMODE          
+%+a    PART           
+%+a    SECURE      
+%+a    TRACE           
+%+s%b* * * *
+%+s%b  Services :%b
+%+s    DIE         services
+%+s    DUMP        raw data  hub 
+%+s    OFF/ON     () services
+%+s    REHASH       
+%+s    RELOAD         nickname/channel/memo/stat
+%+s    RESTART     services
+%+s    SAVE           nick/chan/memo/stat/oper
+%+s    SET               
diff -rduN hybserv/help.bg/operserv/join hybserv+bg-support/help.bg/operserv/join
--- hybserv/help.bg/operserv/join	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/join	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bJOIN <>%b
+
+  %O   <>    , 
+  (monitor).
diff -rduN hybserv/help.bg/operserv/jump hybserv+bg-support/help.bg/operserv/jump
--- hybserv/help.bg/operserv/jump	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/jump	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bJUMP <> []%b
+
+      <>  []. <> 
+  ?, *. <> **   S:   hybserv.conf.
+ []   ,       
+S: .  HybServ       <>, 
+  .
+ : %bREROUTE%b
diff -rduN hybserv/help.bg/operserv/jupe hybserv+bg-support/help.bg/operserv/jupe
--- hybserv/help.bg/operserv/jupe	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/jupe	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bJUPE </> []%b
+
+ (ban) %b<>%b    []. %b<>%b
+       ,     unjupe-.
+%b<>%b    *, ?.
+      ,      
+     unjupe.   , []  
+  (realname)  .
diff -rduN hybserv/help.bg/operserv/kill hybserv+bg-support/help.bg/operserv/kill
--- hybserv/help.bg/operserv/kill	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/kill	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bKILL <> []%b
+
+ (kill) %b<>%b  [].
diff -rduN hybserv/help.bg/operserv/killchan hybserv+bg-support/help.bg/operserv/killchan
--- hybserv/help.bg/operserv/killchan	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/killchan	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,19 @@
+: %bKILLCHAN [] <> []%b
+
+ (kill)   <>,    []  [].
+
+ :
+  %b-ops%b        - ,      
+  %b-nonops%b     - ,      ,
+                       .
+  %b-voices%b     - ,      ,   +v.
+  %b-nonvoices%b  - ,      ,   +v.
+  %b-nonopers%b   - ,      ,   
+                    IRC 
+
+,     O: ,   ,     (kill).
+
+:
+        %b/msg %O killchan -nonopers -ops #channel Grr.%b
+           (kill)        #channel,
+             IRC    "Grr."
diff -rduN hybserv/help.bg/operserv/killhost hybserv+bg-support/help.bg/operserv/killhost
--- hybserv/help.bg/operserv/killhost	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/killhost	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bKILLHOST <> []%b
+
+ (kill)      
+%b<>%b  []   %b<>%b  
+.
diff -rduN hybserv/help.bg/operserv/kline hybserv+bg-support/help.bg/operserv/kline
--- hybserv/help.bg/operserv/kline	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/kline	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bKLINE [] <|@> []%b
+
+       <@>  
+  []. Services     irc ,
+    .
diff -rduN hybserv/help.bg/operserv/off hybserv+bg-support/help.bg/operserv/off
--- hybserv/help.bg/operserv/off	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/off	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bOFF%b
+
+ services,    .  ,
+ %b%O%b     OFF  %bON%b  %bIDENTIFY%b.
+ : %bSHUTDOWN%b, %bDISABLE%b
diff -rduN hybserv/help.bg/operserv/omode hybserv+bg-support/help.bg/operserv/omode
--- hybserv/help.bg/operserv/omode	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/omode	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bOMODE <> <>%b
+
+%b%O%b   <>  <>.
+ : %bMODE%b
diff -rduN hybserv/help.bg/operserv/on hybserv+bg-support/help.bg/operserv/on
--- hybserv/help.bg/operserv/on	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/on	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bON%b
+
+ services,     OFF .  
+services  ,    .
+ : %bENABLE%b
diff -rduN hybserv/help.bg/operserv/part hybserv+bg-support/help.bg/operserv/part
--- hybserv/help.bg/operserv/part	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/part	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bPART <>%b
+
+ %b<>%b    , 
+  (monitor).
diff -rduN hybserv/help.bg/operserv/rehash hybserv+bg-support/help.bg/operserv/rehash
--- hybserv/help.bg/operserv/rehash	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/rehash	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bREHASH%b
+
+Rehash-  ,    (O:),
+jupes (J:), glines (G:),   (A:),
+ (S:),   (C:)  %b%O%b  .
diff -rduN hybserv/help.bg/operserv/reload hybserv+bg-support/help.bg/operserv/reload
--- hybserv/help.bg/operserv/reload	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/reload	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bRELOAD%b
+
+      .
diff -rduN hybserv/help.bg/operserv/restart hybserv+bg-support/help.bg/operserv/restart
--- hybserv/help.bg/operserv/restart	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/restart	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bRESTART%b
+
+  dcc chat ,     
+,       /.
diff -rduN hybserv/help.bg/operserv/save hybserv+bg-support/help.bg/operserv/save
--- hybserv/help.bg/operserv/save	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/save	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,10 @@
+: %bSAVE []%b
+
+    /   
+ [].     ,     
+ 
+
+ :
+  -dbs        -  nick/chan/memo/stat/oper  
+  -sets       -     settings.conf
+  -all        -       
diff -rduN hybserv/help.bg/operserv/secure hybserv+bg-support/help.bg/operserv/secure
--- hybserv/help.bg/operserv/secure	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/secure	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,8 @@
+: %bSECURE <>%b
+
+ %b<>%b    ,  
+  ,     (imslk),
+    ,  
+"f" (friend - ) ,      ,
+ .
+ : %bTAKEOVER%b
diff -rduN hybserv/help.bg/operserv/set hybserv+bg-support/help.bg/operserv/set
--- hybserv/help.bg/operserv/set	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/set	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,21 @@
+: %bSET < | "list"> []%b
+
+      
+  settings.conf      
+Services.      
+    (:).
+
+:
+         %b/msg %O SET MaxClonesWarning :Clones are bad.%b
+            MaxClonesWarning   
+          "Clones are bad."
+
+         %b/msg %O SET ChannelExpire 1w3d%b
+            ChannelExpire  1 , 3 .
+
+         %b/msg %O SET DefaultHubPort%b
+               DefaultHubPort.
+
+         %b/msg %O SET list%b
+                 
+          .
diff -rduN hybserv/help.bg/operserv/stats hybserv+bg-support/help.bg/operserv/stats
--- hybserv/help.bg/operserv/stats	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/stats	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,15 @@
+: %bSTATS <>%b
+
+     %b<>%b.
+:
+   %bO%b           -  ,     %O
+   %bB%b           -  TCM  
+   %bS%b           -    
+   %bU%b           -  ,   services  
+   %bM%b           -     services
+   %bI%b           -   
+   %bG%b           -   glines
+   %bJ%b           -   jupes
+   %bP%b           -     
+   %bC%b           -  ,    (monitor)
+   %b?%b           -  SendK  RecieveK
diff -rduN hybserv/help.bg/operserv/status hybserv+bg-support/help.bg/operserv/status
--- hybserv/help.bg/operserv/status	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/status	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bSTATUS%b
+
+     services.
diff -rduN hybserv/help.bg/operserv/trace hybserv+bg-support/help.bg/operserv/trace
--- hybserv/help.bg/operserv/trace	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/trace	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,38 @@
+: %bTRACE <> []%b
+
+       
+%b<>%b,  [].
+ : %bUSER%b, %bWHOIS%b
+
+ :
+
+  -ops                 IRC 
+  -nonops              IRC 
+  -clones              
+  -realname <>        (realname)   
+  -server <>          
+  -kill               
+  -info                 
+  -long                   (    )
+  -msg <>         
+  -nolimit           MaxTrace   
+
+:
+  %bTRACE *!*@*.lamers.org%b -long -nolimit
+           *!*@*.lamers.org,
+       MaxTrace.
+
+  %bTRACE *!*@* -r *lamer*%b
+          (realname)  
+   *lamer*
+
+  %bTRACE *!*@*.net -o -s irc.server.com%b
+      .net IRC   irc.server.com.
+
+  %bTRACE *!*@* -c -m Clones Suck.%b
+      "Clones Suck."   
+    .
+
+  %bTRACE *@*.com -n -m Hi all of you .com non-operators%b
+      'Hi all of you .com non-operators'
+    ,    .
diff -rduN hybserv/help.bg/operserv/umode hybserv+bg-support/help.bg/operserv/umode
--- hybserv/help.bg/operserv/umode	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/umode	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,38 @@
+: %bUMODE +|-<>%b
+
+   <>   . %O 
+  ( partyline)   , 
+     .
+
+ : %bUSERMODE%b
+
+   :
+
+  %bb%b -     tcm 
+  %bc%b -   
+  %bC%b -   
+  %bd%b -    debuging -   
+          debug 
+  %be%b - ,   
+  %bE%b - ,   
+  %bj%b - ,     
+  %bk%b - ,     (kick)  
+  %bl%b -   / (links/delinks)
+  %bm%b -       
+  %bn%b - ,     
+  %bo%b -   
+  %bO%b -    (kills)
+  %bp%b - ,      
+  %bs%b - ,     
+      %O, %N, %C,  %T
+  %bS%b -    (kills)
+  %bt%b -    
+  %by%b -    services 
+
+:
+         %bUMODE +ce%b
+                   
+
+         %bUMODE +cs-b%b
+                  
+               services ,    tcm .
diff -rduN hybserv/help.bg/operserv/ungline hybserv+bg-support/help.bg/operserv/ungline
--- hybserv/help.bg/operserv/ungline	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/ungline	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bUNGLINE <@>%b
+
+ glines,    %b<@>%b.
diff -rduN hybserv/help.bg/operserv/unjupe hybserv+bg-support/help.bg/operserv/unjupe
--- hybserv/help.bg/operserv/unjupe	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/operserv/unjupe	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bUNJUPE <>%b
+
+ jupe   ,    %b<>%b.
diff -rduN hybserv/help.bg/seenserv/index hybserv+bg-support/help.bg/seenserv/index
--- hybserv/help.bg/seenserv/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/seenserv/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,14 @@
+%b%E%b       
+   ,  -   
+  host.    , :
+%b/msg %E <>%b.     
+, : %b/msg %E help <>%b.
+
+    SEEN          /hostmask
+    SEENNICK        
+
+%+a%b* * * *
+%+a :
+%+a%b%b
+%+a    UNSEEN           n!u@h
+%+a    SEENSTAT      -    hosts
diff -rduN hybserv/help.bg/seenserv/seen hybserv+bg-support/help.bg/seenserv/seen
--- hybserv/help.bg/seenserv/seen	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/seenserv/seen	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bSEEN <|hostmask>%b
+
+   ,  -  
+ /hostmask,    
+     ,   
+ QUIT  (     ,
+     ).
diff -rduN hybserv/help.bg/seenserv/seennick hybserv+bg-support/help.bg/seenserv/seennick
--- hybserv/help.bg/seenserv/seennick	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/seenserv/seennick	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bSEENNICK <>%b
+
+   ,  -  
+ ,     
+ .    QUIT 
+(     ,      ).
diff -rduN hybserv/help.bg/seenserv/seenstat hybserv+bg-support/help.bg/seenserv/seenstat
--- hybserv/help.bg/seenserv/seenstat	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/seenserv/seenstat	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bSEENSTAT%b
+
+    -    hosts,
+      hosts   , 
+         
+ .
\ No newline at end of file
diff -rduN hybserv/help.bg/seenserv/unseen hybserv+bg-support/help.bg/seenserv/unseen
--- hybserv/help.bg/seenserv/unseen	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/seenserv/unseen	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bUNSEEN <>%b
+
+    ,    
+ (    nick!user@host).
\ No newline at end of file
diff -rduN hybserv/help.bg/statserv/clearstats hybserv+bg-support/help.bg/statserv/clearstats
--- hybserv/help.bg/statserv/clearstats	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/clearstats	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,21 @@
+: %bCLEARSTATS []%b
+
+     ,    
+ ,          
+       hosts/    
+  services.     [],  
+   .
+
+ :
+
+    -host     -     hostnames
+    -domain   -     
+    -all      -    ( )
+
+:
+         %b/msg %T CLEARSTATS -host%b
+               hostnames.
+
+         %b/msg %T CLEARSTATS -host -domain%b
+                ,   hostnames.
+           (  -all).
diff -rduN hybserv/help.bg/statserv/domain hybserv+bg-support/help.bg/statserv/domain
--- hybserv/help.bg/statserv/domain	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/domain	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bDOMAIN <>%b
+
+    ,  
+//   ..
+: %bDOMAIN blah.bg%b
diff -rduN hybserv/help.bg/statserv/greplog hybserv+bg-support/help.bg/statserv/greplog
--- hybserv/help.bg/statserv/greplog	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/greplog	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bGREPLOG%b <service> <> []
+
+ Grep- ,     .       
+ *,   .       ?  . Service 
+   services - NickServ, ChanServ, OperServ  ..   ,  
+   greplog,       .
diff -rduN hybserv/help.bg/statserv/host hybserv+bg-support/help.bg/statserv/host
--- hybserv/help.bg/statserv/host	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/host	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,6 @@
+: %bHOST <hostname>%b
+
+      hostname,  
+       host,   
+   host,    host-,   e (-) 
+  host-.
diff -rduN hybserv/help.bg/statserv/index hybserv+bg-support/help.bg/statserv/index
--- hybserv/help.bg/statserv/index	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/index	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,21 @@
+%b%T%b        
+   hostname, ,  .
+    ,   : %b/msg %T <>%b.
+     , :
+%b/msg %T help <>%b.
+
+    STATS          
+    SHOWSTATS    Chan, Nick, Memo Services
+    SHOWOPERS      
+    SHOWADMINS     services 
+%+a%b* * * *
+%+a :
+%+a%b%b
+%+a    REFRESH    Update-    lag-
+%+a    CLEARSTATS    
+%+a    GREPLOG    Grep- services 
+%+a    SPLIT         netsplit
+%+a    HOST          hostname-
+%+a    DOMAIN      a  
+%+a    SERVER        
+
diff -rduN hybserv/help.bg/statserv/refresh hybserv+bg-support/help.bg/statserv/refresh
--- hybserv/help.bg/statserv/refresh	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/refresh	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,7 @@
+: %bREFRESH%b
+
+    services  ping-  
+ ,    update-    
+ ,      %bSERVER%b.
+, services    update  ,
+         -.
diff -rduN hybserv/help.bg/statserv/server hybserv+bg-support/help.bg/statserv/server
--- hybserv/help.bg/statserv/server	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/server	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,29 @@
+: %bSERVER < | > []%b
+
+       .
+   ,      ,  
+ ,    .
+
+ :
+  -maxusers <>    ,   - (  )    .
+
+  -minusers <>    ,    (  )    .
+
+  -info                        .
+
+  -hub <>          ,      
+
+:
+         %b/msg %T SERVER irc.myserver.com%b
+              irc.myserver.com
+
+         %b/msg %T SERVER * -min 200%b
+             ,    200 .
+
+         %b/msg %T SERVER *.com -hub irc.hub.com -info
+                , 
+	       *.com      
+	     irc.hub.com.
+
+         %b/msg %T SERVER * -max 0%b
+             ,   0 .
diff -rduN hybserv/help.bg/statserv/showadmins hybserv+bg-support/help.bg/statserv/showadmins
--- hybserv/help.bg/statserv/showadmins	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/showadmins	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,4 @@
+: %bSHOWADMINS%b
+
+   Services 
+  .
diff -rduN hybserv/help.bg/statserv/showopers hybserv+bg-support/help.bg/statserv/showopers
--- hybserv/help.bg/statserv/showopers	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/showopers	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSHOWOPERS%b
+
+     IRC   
+.
+
diff -rduN hybserv/help.bg/statserv/showstats hybserv+bg-support/help.bg/statserv/showstats
--- hybserv/help.bg/statserv/showstats	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/showstats	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,3 @@
+: %bSHOWSTATS%b
+
+       ,     .
diff -rduN hybserv/help.bg/statserv/split hybserv+bg-support/help.bg/statserv/split
--- hybserv/help.bg/statserv/split	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/split	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSPLIT%b []
+
+          ,
+   [].
+
diff -rduN hybserv/help.bg/statserv/stats hybserv+bg-support/help.bg/statserv/stats
--- hybserv/help.bg/statserv/stats	1969-12-31 22:00:00.000000000 -0200
+++ hybserv+bg-support/help.bg/statserv/stats	2002-11-18 21:58:12.000000000 -0200
@@ -0,0 +1,5 @@
+: %bSTATS%b
+
+    ,      ///
+,   ///   ,   
+, / kills,  ..
diff -rduN hybserv/include/nickserv.h hybserv+bg-support/include/nickserv.h
--- hybserv/include/nickserv.h	2002-10-07 08:34:44.000000000 -0200
+++ hybserv+bg-support/include/nickserv.h	2002-11-18 22:00:18.000000000 -0200
@@ -55,6 +55,7 @@
 #define NS_NOCHANOPS    0x00200000 /* not allowed to be opped */
 #define NS_NUMERIC      0x00400000 /* ignores 432 numeric */
 #define NS_PRIVMSG      0x00800000 /* PRIVMSG or NOTICE */
+#define NS_BULGARIAN    0x01000000 /* LANGUAGE BG */
 
 struct NickHost
 {
diff -rduN hybserv/include/settings.h hybserv+bg-support/include/settings.h
--- hybserv/include/settings.h	2002-09-22 15:47:17.000000000 -0200
+++ hybserv+bg-support/include/settings.h	2002-11-18 22:00:18.000000000 -0200
@@ -54,6 +54,7 @@
 extern  char      *PidFile;
 extern  char      *PipeFile;
 extern  char      *HelpPath;
+extern  char      *HelpPathBG;
 extern  char      *MotdFile;
 extern  char      *DccMotdFile;
 
diff -rduN hybserv/source/helpserv.c hybserv+bg-support/source/helpserv.c
--- hybserv/source/helpserv.c	2002-09-17 16:33:55.000000000 -0200
+++ hybserv+bg-support/source/helpserv.c	2002-11-18 22:00:18.000000000 -0200
@@ -239,6 +239,9 @@
   char line[MAXLINE];
   char *final;
   struct Luser *servptr;
+  struct NickInfo *nptr;
+  
+  nptr = GetLink(helpnick);
 
   if (!(servptr = GetService(Serv)))
     return;
@@ -249,23 +252,35 @@
         {
           sendstr[0] = '\0';
           if (servptr == Me.osptr)
-            ircsprintf(sendstr, "%s/operserv/index", HelpPath);
+			if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+          	  ircsprintf(sendstr, "%s/operserv/index", HelpPathBG);
+			else
+          	  ircsprintf(sendstr, "%s/operserv/index", HelpPath);
 
 #ifdef NICKSERVICES
 
           else if (servptr == Me.nsptr)
-            ircsprintf(sendstr, "%s/nickserv/index", HelpPath);
+			if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+			  ircsprintf(sendstr, "%s/nickserv/index", HelpPathBG);
+			else
+          	  ircsprintf(sendstr, "%s/nickserv/index", HelpPath);
 
 #ifdef CHANNELSERVICES
 
           else if (servptr == Me.csptr)
-            ircsprintf(sendstr, "%s/chanserv/index", HelpPath);
+			if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+          	  ircsprintf(sendstr, "%s/chanserv/index", HelpPathBG);
+			else
+			  ircsprintf(sendstr, "%s/chanserv/index", HelpPath);
 #endif
 
 #ifdef MEMOSERVICES
 
           else if (servptr == Me.msptr)
-            ircsprintf(sendstr, "%s/memoserv/index", HelpPath);
+			if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+          	  ircsprintf(sendstr, "%s/memoserv/index", HelpPathBG);
+			else
+			  ircsprintf(sendstr, "%s/memoserv/index", HelpPath);
 #endif
 
 #endif /* NICKSERVICES */
@@ -273,25 +288,38 @@
 #ifdef STATSERVICES
 
           else if (servptr == Me.ssptr)
-            ircsprintf(sendstr, "%s/statserv/index", HelpPath);
+		  	if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+          	  ircsprintf(sendstr, "%s/statserv/index", HelpPathBG);
+			else
+          	  ircsprintf(sendstr, "%s/statserv/index", HelpPath);
 #endif /* STATSERVICES */
 
 #ifdef HELPSERVICES
 
           else if (servptr == Me.hsptr)
-            ircsprintf(sendstr, "%s/helpserv/index", HelpPath);
+		  	if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+          	  ircsprintf(sendstr, "%s/helpserv/index", HelpPathBG);
+			else
+          	  ircsprintf(sendstr, "%s/helpserv/index", HelpPath);
 #endif /* HELPSERVICES */
 
 #ifdef GLOBALSERVICES
 
           else if (servptr == Me.gsptr)
-            ircsprintf(sendstr, "%s/global/index", HelpPath);
+		  	if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+        	  ircsprintf(sendstr, "%s/global/index", HelpPathBG);
+			else
+        	  ircsprintf(sendstr, "%s/global/index", HelpPath);
 #endif /* GLOBALSERVICES */
 
 #ifdef SEENSERVICES
 
-          else if (servptr == Me.esptr)
-            ircsprintf(sendstr, "%s/seenserv/index", HelpPath );
+          else if (servptr == Me.esptr) {
+		  	if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+      		  ircsprintf(sendstr, "%s/seenserv/index", HelpPathBG);
+			else
+      		  ircsprintf(sendstr, "%s/seenserv/index", HelpPath);
+		  }
 #endif /* SEENSERVICES */
 
           if (sendstr[0])
@@ -309,7 +337,10 @@
         {
           if (servptr == Me.osptr)
             {
-              ircsprintf(sendstr, "%s/operserv/dcc/index", HelpPath);
+		  	  if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+            	ircsprintf(sendstr, "%s/operserv/dcc/index", HelpPathBG);
+			  else
+            	ircsprintf(sendstr, "%s/operserv/dcc/index", HelpPath);
               if ((fp = fopen(sendstr, "r")) == NULL)
                 {
                   writesocket(sockfd, "Unable to open help file\n");
@@ -377,31 +408,51 @@
       if (sockfd == NODCC)
         {
           if (servptr == Me.osptr)
-            ircsprintf(sendstr, "%s/operserv/%s", HelpPath, helparg);
-
+		    if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+          	  ircsprintf(sendstr, "%s/operserv/%s", HelpPathBG, helparg);
+			else
+          	  ircsprintf(sendstr, "%s/operserv/%s", HelpPath, helparg);
 #ifdef NICKSERVICES
 
           else if (servptr == Me.nsptr)
             {
               if (arg2[0])
-                ircsprintf(sendstr, "%s/nickserv/%s/%s",
-                           HelpPath,
-                           helparg,
-                           arg2);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+              	  ircsprintf(sendstr, "%s/nickserv/%s/%s",
+                  	         HelpPathBG,
+                    	     helparg,
+                      	     arg2);
+				else
+              	  ircsprintf(sendstr, "%s/nickserv/%s/%s",
+                  	         HelpPath,
+                    	     helparg,
+                      	     arg2);
               else
-                ircsprintf(sendstr, "%s/nickserv/%s", HelpPath, helparg);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+	              ircsprintf(sendstr, "%s/nickserv/%s", HelpPathBG, helparg);
+				else
+	              ircsprintf(sendstr, "%s/nickserv/%s", HelpPath, helparg);
             }
 
 #ifdef CHANNELSERVICES
           else if (servptr == Me.csptr)
             {
               if (arg2[0])
-                ircsprintf(sendstr, "%s/chanserv/%s/%s",
-                           HelpPath,
-                           helparg,
-                           arg2);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+              	  ircsprintf(sendstr, "%s/chanserv/%s/%s",
+                  	         HelpPathBG,
+                    	     helparg,
+                      	     arg2);
+				else
+              	  ircsprintf(sendstr, "%s/chanserv/%s/%s",
+                  	         HelpPath,
+                    	     helparg,
+                      	     arg2);
               else
-                ircsprintf(sendstr, "%s/chanserv/%s", HelpPath, helparg);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+	              ircsprintf(sendstr, "%s/chanserv/%s", HelpPathBG, helparg);
+				else
+	              ircsprintf(sendstr, "%s/chanserv/%s", HelpPath, helparg);
             }
 #endif /* CHANNELSERVICES */
 
@@ -409,12 +460,21 @@
           else if (servptr == Me.msptr)
             {
               if (arg2[0])
-                ircsprintf(sendstr, "%s/memoserv/%s/%s",
-                           HelpPath,
-                           helparg,
-                           arg2);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+              	  ircsprintf(sendstr, "%s/memoserv/%s/%s",
+                  	         HelpPathBG,
+                    	     helparg,
+                      	     arg2);
+				else
+              	  ircsprintf(sendstr, "%s/memoserv/%s/%s",
+                  	         HelpPath,
+                    	     helparg,
+                      	     arg2);
               else
-                ircsprintf(sendstr, "%s/memoserv/%s", HelpPath, helparg);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+	              ircsprintf(sendstr, "%s/memoserv/%s", HelpPathBG, helparg);
+				else
+	              ircsprintf(sendstr, "%s/memoserv/%s", HelpPath, helparg);
             }
 #endif /* MEMOSERVICES */
 
@@ -424,12 +484,21 @@
           else if (servptr == Me.ssptr)
             {
               if (arg2[0])
-                ircsprintf(sendstr, "%s/statserv/%s/%s",
-                           HelpPath,
-                           helparg,
-                           arg2);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+              	  ircsprintf(sendstr, "%s/statserv/%s/%s",
+                  	         HelpPathBG,
+                    	     helparg,
+                      	     arg2);
+				else
+              	  ircsprintf(sendstr, "%s/statserv/%s/%s",
+                  	         HelpPath,
+                    	     helparg,
+                      	     arg2);
               else
-                ircsprintf(sendstr, "%s/statserv/%s", HelpPath, helparg);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+	              ircsprintf(sendstr, "%s/statserv/%s", HelpPathBG, helparg);
+				else
+	              ircsprintf(sendstr, "%s/statserv/%s", HelpPath, helparg);
             }
 #endif /* STATSERVICES */
 
@@ -437,12 +506,21 @@
           else if (servptr == Me.hsptr)
             {
               if (arg2[0])
-                ircsprintf(sendstr, "%s/helpserv/%s/%s",
-                           HelpPath,
-                           helparg,
-                           arg2);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+              	  ircsprintf(sendstr, "%s/helpserv/%s/%s",
+                  	         HelpPathBG,
+                    	     helparg,
+                      	     arg2);
+				else
+              	  ircsprintf(sendstr, "%s/helpserv/%s/%s",
+                  	         HelpPath,
+                    	     helparg,
+                      	     arg2);
               else
-                ircsprintf(sendstr, "%s/helpserv/%s", HelpPath, helparg);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+	              ircsprintf(sendstr, "%s/helpserv/%s", HelpPathBG, helparg);
+				else
+	              ircsprintf(sendstr, "%s/helpserv/%s", HelpPath, helparg);
             }
 #endif /* HELPSERVICES */
 
@@ -450,21 +528,36 @@
           else if (servptr == Me.gsptr)
             {
               if (arg2[0])
-                ircsprintf(sendstr, "%s/global/%s/%s",
-                           HelpPath,
-                           helparg,
-                           arg2);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+              	  ircsprintf(sendstr, "%s/global/%s/%s",
+                  	         HelpPathBG,
+                    	     helparg,
+                      	     arg2);
+				else
+              	  ircsprintf(sendstr, "%s/global/%s/%s",
+                  	         HelpPath,
+                    	     helparg,
+                      	     arg2);
               else
-                ircsprintf(sendstr, "%s/global/%s", HelpPath, helparg);
+		  		if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+	              ircsprintf(sendstr, "%s/global/%s", HelpPathBG, helparg);
+				else
+	              ircsprintf(sendstr, "%s/global/%s", HelpPath, helparg);
             }
 #endif /* GLOBALSERVICES */
 
         }
       else
         {
-          ircsprintf(sendstr, "%s/operserv/%s", HelpPath, helparg);
+		  if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+        	ircsprintf(sendstr, "%s/operserv/%s", HelpPathBG, helparg);
+		  else
+        	ircsprintf(sendstr, "%s/operserv/%s", HelpPath, helparg);
           if ((fp = fopen(sendstr, "r")) == NULL)
-            ircsprintf(sendstr, "%s/operserv/dcc/%s", HelpPath, helparg);
+		    if (nptr && (nptr->flags & NS_IDENTIFIED) && (nptr->flags & NS_BULGARIAN))
+              ircsprintf(sendstr, "%s/operserv/dcc/%s", HelpPathBG, helparg);
+			else
+              ircsprintf(sendstr, "%s/operserv/dcc/%s", HelpPath, helparg);
           else
             fclose(fp);
         }
diff -rduN hybserv/source/nickserv.c hybserv+bg-support/source/nickserv.c
--- hybserv/source/nickserv.c	2002-10-07 08:34:45.000000000 -0200
+++ hybserv+bg-support/source/nickserv.c	2002-11-18 22:00:19.000000000 -0200
@@ -89,6 +89,7 @@
 static void n_set_hide(struct Luser *, int, char **);
 static void n_set_password(struct Luser *, int, char **);
 static void n_set_email(struct Luser *, int, char **);
+static void n_set_language(struct Luser *, int, char **);
 static void n_set_url(struct Luser *, int, char **);
 static void n_set_uin(struct Luser *, int, char **);
 static void n_set_gsm(struct Luser *, int, char **);
@@ -195,6 +196,7 @@
       { "HIDE", n_set_hide, LVL_NONE },
       { "PASSWORD", n_set_password, LVL_NONE },
       { "EMAIL", n_set_email, LVL_NONE },
+      { "LANGUAGE", n_set_language, LVL_NONE },
       { "URL", n_set_url, LVL_NONE },
       { "UIN", n_set_uin, LVL_NONE },
       { "GSM", n_set_gsm, LVL_NONE },
@@ -3718,6 +3720,55 @@
 } /* n_set_email() */
 
 static void
+n_set_language(struct Luser *lptr, int ac, char **av)
+
+{
+  struct NickInfo *nptr;
+
+  if (!(nptr = GetLink(lptr->nick)))
+    return;
+
+  RecordCommand("%s: %s!%s@%s SET LANGUAGE %s",
+                n_NickServ,
+                lptr->nick,
+                lptr->username,
+                lptr->hostname,
+                (ac < 3) ? "" : StrToupper(av[2]));
+
+  if (ac < 3)
+    {
+      notice(n_NickServ, lptr->nick,
+             "Your current langauge is [\002%s\002]",
+             (nptr->flags & NS_BULGARIAN) ? "BULGARIAN" : "ENGLISH");
+      return;
+    }
+
+  if (!irccmp(av[2], "BG"))
+    {
+      nptr->flags |= NS_BULGARIAN;
+      notice(n_NickServ, lptr->nick,
+             "Your current language is [\002BULGARIAN\002]");
+      return;
+    }
+
+  if (!irccmp(av[2], "EN"))
+    {
+      nptr->flags &= ~NS_BULGARIAN;
+      notice(n_NickServ, lptr->nick,
+             "Your current language is [\002ENGLISH\002]");
+      return;
+    }
+
+  /* user gave an unknown param */
+  notice(n_NickServ, lptr->nick,
+         "Syntax: \002SET LANGUAGE {EN|BG}\002");
+  notice(n_NickServ, lptr->nick,
+         ERR_MORE_INFO,
+         n_NickServ,
+         "SET LANGUAGE");
+} /* n_set_language() */
+
+static void
 n_set_url(struct Luser *lptr, int ac, char **av)
 
 {
diff -rduN hybserv/source/settings.c hybserv+bg-support/source/settings.c
--- hybserv/source/settings.c	2002-09-22 15:47:17.000000000 -0200
+++ hybserv+bg-support/source/settings.c	2002-11-18 22:00:19.000000000 -0200
@@ -37,6 +37,7 @@
 char      *PidFile;
 char      *PipeFile;
 char      *HelpPath;
+char      *HelpPathBG;
 char      *MotdFile;
 char      *DccMotdFile;
 
@@ -182,8 +183,9 @@
     { "ConfigFile", D_NORUNTIME,      { { PARAM_STRING, &ConfigFile } } },
     { "LogFile", D_NORUNTIME,         { { PARAM_STRING, &LogFile } } },
     { "PidFile", D_NORUNTIME,         { { PARAM_STRING, &PidFile } } },
-    { "PipeFile", D_NORUNTIME,         { { PARAM_STRING, &PipeFile } } },
+    { "PipeFile", D_NORUNTIME,        { { PARAM_STRING, &PipeFile } } },
     { "HelpPath", D_NORUNTIME,        { { PARAM_STRING, &HelpPath } } },
+    { "HelpPathBG", D_NORUNTIME,      { { PARAM_STRING, &HelpPathBG } } },
     { "MotdFile", D_NORUNTIME,        { { PARAM_STRING, &MotdFile } } },
     { "DccMotdFile", D_NORUNTIME,     { { PARAM_STRING, &DccMotdFile } } },
 
